#define CONFIG_DIR              ".ajb"
#define CONFIG_FILE             "config"
#define CFG_READ_BUFSIZE        2048

typedef struct serv_config {
    gchar       *player_plugin;
    gchar       *player_path;
    gchar       *player_options;
        
    gchar       *listen_sockfile;
    
    gint        loglevel;
    gchar       *playlog;
    gchar       *logfile;
    
} serv_config;


//extern struct serv_config *servcfg;

//extern struct serv_config *servcfg = NULL;

void serv_config_read(struct serv_config *servcfg); 
void serv_config_fill_struct(FILE *fp, struct serv_config *servcfg);
gboolean cfg_compare(gchar *buf, gchar *str);
void cfg_set_bool(gboolean *cfg, gchar *value);
void cfg_set_str(gchar **cfg, gchar *value);
void cfg_set_int(gint *cfg, gchar *value);
void cfg_set_default(struct serv_config *servcfg);


