
typedef void (*cli_currplay_functp)(struct d_sq *);
typedef void (*cli_timeinfo_functp)(gint);
typedef void (*cli_errormsg_functp)(gchar *);
typedef void (*cli_listchanged_functp)(void);

typedef struct packet_functions {

    cli_currplay_functp         cli_currplay_handler;
    cli_timeinfo_functp         cli_timeinfo_handler;
    cli_errormsg_functp         cli_errormsg_handler;
    cli_listchanged_functp      cli_listchanged_handler;

} packet_functions;

    
void cli_init(void);
void cli_process_pkt(gint fd, struct packet *pkt);
void cli_main_loop(gint fd);
gint cli_to_serv_conn(void);
GList *cli_get_listp(void);
GList *cli_get_hplistp(void);
void cli_free_lists(void);
struct packet_functions *cli_get_packet_handler_pointer(void);

