#define MAJOR_VERSION           0 
#define MINOR_VERSION           0
#define MICRO_VERSION           1

#define SELECT_USEC_TIMEOUT     500000
#define SOCKFILE_PERMS          (S_IRUSR | S_IWUSR)

#define MIXER_DEVICE            "/dev/mixer"

extern struct serv_config *servcfg;

typedef struct currently_playing {
    struct songqueue *song;
    gint time;
    gboolean playing;
    gint fd[2]; /* server <-> player communication */
} currently_playing;

gint srv_create(void);
void srv_waitconn(gint sfd);
gpointer srv_cli_handler(gpointer data);
void srv_new_client(gint cfd, gchar *cli_user, pid_t cli_pid);
void srv_cli_serv_talk(gint fd, gchar *sockfile);
//void load_plugin(gchar *path);
void srv_process_pkt(gint fd, struct packet *pkt, gboolean *send_timeinfo);
gpointer srv_play_loop(gpointer data);
void srv_shutdown(void);
void srv_set_pcm_volume(guint volume);
void srv_daemonfork(gchar *logfile);
void srv_list_has_changed(void);
gboolean srv_check_list_change(gint *last_value);




