
enum file_type {
    MPEG, OGG
};

typedef struct songinfo {

    enum file_type filetype;
    
    gchar    title[61];
    gchar    artist[61];
    gchar    album[61];
    gchar    comment[61];
    gchar    year[5];
    guchar   trackno;
    gchar    genre[61];

    glong    bytelength;
    gint     minutes;
    gint     seconds;
    gboolean vbr; 
    gdouble  bitrate;           /* average for VBR */
    glong    samplerate;
    gchar    channel_mode[21];
} songinfo;

void fill_songinfo_struct(gchar *filename, struct songinfo *si);    
void fill_songinfo_struct_mpeg(gchar *filename, struct songinfo *si);

